package de.ship.nextcloud.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.web.SecurityFilterChain;

@Configuration
public class SecurityConfig {

	@Bean
	SecurityFilterChain filterChain(HttpSecurity http) throws Exception {
		http.authorizeHttpRequests(r -> r
				.requestMatchers("/").permitAll().requestMatchers("/index").permitAll()
				.requestMatchers("/inside").authenticated())
				.oauth2Login(l -> l.authorizationEndpoint(e -> e.baseUri("/oauth2/authorize-client")))
				.oidcLogout();				
		return http.build();
	}
}
